<!DOCTYPE html>
<html>
  <head>
    <title>NPAPI Simple Plug-in</title>
  </head>
  <body>
<script type="text/javascript">
function loopforever() {
  try {
    alert(document.getElementById("pluginobj").loopforever());
  } catch(e) {
    alert(e);
  }
}

</script>

<h1>Native Client NPAPI Simple Plug-in</h1>
<p>
  <button onclick='loopforever()'>Call loopforever()</button>
  <embed id="pluginobj" src="npapi_hw" type="application/x-nacl-npapi" width=0 height=0>
</p>

<p>If the plug-in is working correctly, a click on the "loopforever" button
should cause the NPAPI module to go into an infinite loop. Then the
NaCl module babysitter should ask if you'd like to kill it.

</body>
</html>
